# The Phyllome OS wiki

This repository contains the articles that together make up the [**Phyllome OS wiki**](https://wiki.phyllo.me).

A two-way sync is setup between this repository and the wiki solution, based on [wiki.js](https://js.wiki/). 

> Contributions through the wiki web interface are currently only open to [core contributors](https://wiki.phyllo.me/project/join).

## How to contribute

> **Attention please**: Do *not* create new files, as they are not taken into account by `wiki.js` (Or more precisely, I haven't figured that out yet). Please create an issue if you wish to create new pages.

1. **Clone the repository**:

```
git clone https://github.com/PhyllomeOS/wiki/
```

Each page is made out of a header that look like this:
```
---
title: Architecture
description: 
published: true
date: 2021-11-12T15:31:49.655Z
tags: 
editor: markdown
dateCreated: 2021-11-12T15:31:49.655Z
---

[*You may add some poetry here*] 
```

Do not modify this header, but only the content below.


2. **Add or modify content**

Add or modify the content of an *existing page* using your favorite text editor

> Please follow the [CommonMark Spec syntax](https://spec.commonmark.org/). Take a look [here](https://docs.requarks.io/editors/markdown) to see what can be done and how.   

3. **Create a pull request** 

When you are done, please create a pull request, sit back, and relax. 

Thank you!

## License

Contributions are made under a [CC BY 4.0 Licence](https://creativecommons.org/licenses/by/4.0/), for the Phyllome OS Project.






