---
title: Homepage
description: 
published: true
date: 2021-11-21T17:50:51.130Z
tags: 
editor: markdown
dateCreated: 2021-06-19T09:29:20.593Z
---

# Phyllome OS wiki

`Welcome to the Phyllome OS wiki! `

*In this wiki, you will find guides about how to install, use and hack Phyllome OS, as well as more general information about open-source virtualization and the project behind this specialized OS.*

*[Phyllome OS](https://phyllo.me/) is an operating system that makes it easier to run various guest systems locally using [off-the-shelf hardware](https://wiki.phyllo.me/deploy/prepare).*

If you want to learn more about it, its goal and the context around it, have a look at the [white-paper](https://files.phyllo.me/s/oYwfxYpZcbppwr6).

> If you would rather avoid JavaScript altogether, or wish to download the content of this wiki locally, feel free to clone [this repository](https://github.com/PhyllomeOS/wiki).
{.is-info}

## Deploy

*This section is meant to help users prepare their computers to host Phyllome OS,  pick the version that will suit their needs,  understand Phyllome OS' limitations, and install it.*

> Phyllome OS is not production-ready. The alpha version [has been released](https://github.com/PhyllomeOS/phyllomeos/releases) on November the 15h, 2021.
> {.is-warning}

* **Choose**
	* [Is Phyllome OS right for you?](/deploy/rightforyou)
* **Install**
  * [Prepare your computer](/deploy/prepare)
  * [Create an installation medium](/deploy/medium)
  * [Install from a USB flash drive](/deploy/install) (*default method*)
	* ...and [**more**](https://wiki.phyllo.me/en/deploy)

## Get started

*This section is meant to introduce uses of Phyllome OS in a general way.*

* [Use it as a live system](/getstarted/live) (*to test it*)
* [Use it as an installed system](/getstarted/disk) (*for daily use*)

## Go further

*This section is meant to introduce the execution of particular taks on Phyllome OS, including deployment of certain guest systems. Some of these tasks will be rendered obsolete with newer Phyllome OS versions.*

### Tasks related to Phyllome OS

* [Perform a few checks](/gofurther/checks) on Phyllome OS
* [Configure the Virtual Machine Manager](/gofurther/virt-manager) manually or automatically
* [Install a guest system using netboot.xyz](/gofurther/install-guest)
* ...and [**more**](https://wiki.phyllo.me/en/gofurther)

### Tasks related to your guest OS

*Although Phyllome OS strives to choose defaults that will work for many guest systems, further optimizations may be needed.* 

* [Linux family](/gofurther/linux)
* [Darwin family](/gofurther/darwin)
* [Windows NT family](/gofurther/windows)
* ...and [**more**](https://wiki.phyllo.me/en/gofurther)

## About Phyllome OS 

*In this section, the context around Phyllome OS is explained and its internals are described* 

* [Context](/phyllomeos/context)
* [Purpose](/phyllomeos/purpose)
* [Use cases](/phyllomeos/use-cases)
* ...and [**more**](https://wiki.phyllo.me/en/phyllomeos)

### On open-source virtualization

*In this section, the focus is on KVM virtualization and its associated tools, including QEMU, the Linux kernel, libvirt, etc., mostly in the context of Phyllome OS.* 

* [Anatomy of a virtual machine](/virt/vm)
* [Lexicon](/virt/lexicon) 
* [External resources](/virt/resources)
* ...and [**more**](https://wiki.phyllo.me/en/virt)

## The Phyllome OS Project

### Contribute

* [How to join](/project/join)
* [Current infrastructure](/project/infrastructure)

### Public presence

* **The website**: https://phyllo.me
* **The wiki**: https://wiki.phyllo.me
* **The issue board**: https://kanboard.phyllo.me/
* **GitHub repositories**: https://github.com/PhyllomeOS

